/*
 * This file is generated by jOOQ.
 */
package chat_tcp.generated;


import chat_tcp.generated.chatdb.Chattcp;
import org.jooq.Schema;
import org.jooq.impl.CatalogImpl;

import java.util.Arrays;
import java.util.List;


/**
 * This class is generated by jOOQ.
 */
@SuppressWarnings({"all", "unchecked", "rawtypes"})
public class DefaultCatalog extends CatalogImpl {

    /**
     * The reference instance of <code>DEFAULT_CATALOG</code>
     */
    public static final DefaultCatalog DEFAULT_CATALOG = new DefaultCatalog();
    private static final long serialVersionUID = -393699474;
    /**
     * The schema <code>information_schema</code>.
     */


    /**
     * The schema <code>chattcp</code>.
     */
    public final Chattcp CHATTCP = Chattcp.CHATTCP;

    /**

     /**
     * No further instances allowed
     */
    private DefaultCatalog() {
        super("");
    }

    @Override
    public final List<Schema> getSchemas() {
        return Arrays.<Schema>asList(
                Chattcp.CHATTCP);
    }

    ;
}
